Debian Bug report logs - #550429
kfreebsd-7: add BOOTP kernel options for NFS Root support

Package: kfreebsd-9; Maintainer for kfreebsd-9 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>

Date: Sat, 10 Oct 2009 00:33:01 UTC

Severity: wishlist

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-7. (Sat, 10 Oct 2009 00:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 10 Oct 2009 00:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-7: add BOOTP kernel options for NFS Root support
Date: Fri, 9 Oct 2009 17:24:56 -0700
Package: kfreebsd-7
Version: 7.2-9
Severity: wishlist

please consider adding the BOOTP, BOOTP_COMPAT, BOOTP_NFSROOT and BOOTP_NFSV3
options to the kernel configurations. without the above defined options, it
requires a bootloader to set a laundry list of variables (including ip,
netmask, hwaddr and worst of all, an NFS handle) in order to use the NFS_ROOT
features already present in the default kernels.

the only bootloader i've found that supports all of them is FreeBSD's
loader/pxeldr/pxeboot... which is not yet present in Debian.

i believe the following options added to the 486 kernel, if not the other ones
as well, would at least make it easier to test NFS_ROOT on Debian GNU/kFreeBSD
using grub2, and shouldn't change the default behavior in most cases.

diff -u kfreebsd-7-7.2/debian/arch/i386/486.config kfreebsd-7-7.2/debian/arch/i386/486.config
--- kfreebsd-7-7.2/debian/arch/i386/486.config
+++ kfreebsd-7-7.2/debian/arch/i386/486.config
@@ -18,4 +18,10 @@
 device         fb
 
+# Use BOOTP to obtain IP address/hostname
+options     BOOTP
+options     BOOTP_COMPAT
+# NFS mount root file system using BOOTP info
+options     BOOTP_NFSROOT
+options     BOOTP_NFSV3
 
 #include               GENERIC


with those added, a crude port of LTSP should not be far off...

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-7. (Mon, 12 Oct 2009 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 12 Oct 2009 09:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 550429@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>, 550429@bugs.debian.org
Subject: Re: Bug#550429: kfreebsd-7: add BOOTP kernel options for NFS Root support
Date: Mon, 12 Oct 2009 11:00:21 +0200
On Fri, Oct 09, 2009 at 05:24:56PM -0700, Vagrant Cascadian wrote:
> Package: kfreebsd-7
> Version: 7.2-9
> Severity: wishlist
> 
> please consider adding the BOOTP, BOOTP_COMPAT, BOOTP_NFSROOT and BOOTP_NFSV3
> options to the kernel configurations. without the above defined options, it
> requires a bootloader to set a laundry list of variables (including ip,
> netmask, hwaddr and worst of all, an NFS handle) in order to use the NFS_ROOT
> features already present in the default kernels.
> 
> the only bootloader i've found that supports all of them is FreeBSD's
> loader/pxeldr/pxeboot... which is not yet present in Debian.
> 
> i believe the following options added to the 486 kernel, if not the other ones
> as well, would at least make it easier to test NFS_ROOT on Debian GNU/kFreeBSD
> using grub2, and shouldn't change the default behavior in most cases.

Thanks, I have committed that to the SVN, it will be in the next upload.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-7. (Fri, 13 Nov 2009 09:27:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 13 Nov 2009 09:27:09 GMT) Full text and rfc822 format available.

Message #15 received at 550429@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 550429@bugs.debian.org, vagrant+debianbugs@freegeek.org
Subject: Re: Bug#550429: add BOOTP kernel options for NFS Root support
Date: Fri, 13 Nov 2009 08:58:23 +0100 (CET)
Hi,

I just built kfreebsd-8 from current SVN with those options.
As a result, the kernel tried to get IP address during boot
via DHCP indefinitely. Luckily kernel.old pointing to kfreebsd-7
does not contain these options ...
FWIW, I have the old FreeBSD bootloader, not grub2.

So we need such set of options, which builds DHCP/root NFS
into kernel, but does not use DHCP/root NFS as a default.

Petr




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 14 Jan 2010 06:36:10 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
Bug acknowledged by developer. (Thu, 14 Jan 2010 06:36:10 GMT) Full text and rfc822 format available.

Message #20 received at 550429-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 550429-close@bugs.debian.org
Subject: Bug#550429: fixed in kfreebsd-7 7.2-10
Date: Thu, 14 Jan 2010 06:32:30 +0000
Source: kfreebsd-7
Source-Version: 7.2-10

We believe that the bug you reported is fixed in the latest version of
kfreebsd-7, which is due to be installed in the Debian FTP archive:

kfreebsd-7_7.2-10.diff.gz
  to main/k/kfreebsd-7/kfreebsd-7_7.2-10.diff.gz
kfreebsd-7_7.2-10.dsc
  to main/k/kfreebsd-7/kfreebsd-7_7.2-10.dsc
kfreebsd-source-7.2_7.2-10_all.deb
  to main/k/kfreebsd-7/kfreebsd-source-7.2_7.2-10_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 550429@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-7 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 14 Jan 2010 06:40:26 +0100
Source: kfreebsd-7
Binary: kfreebsd-source-7.2 kfreebsd-headers-7.2-1 kfreebsd-image-7.2-1-amd64 kfreebsd-image-7-amd64 kfreebsd-headers-7.2-1-amd64 kfreebsd-headers-7-amd64 kfreebsd-image-7.2-1-486 kfreebsd-image-7-486 kfreebsd-headers-7.2-1-486 kfreebsd-headers-7-486 kfreebsd-image-7.2-1-686 kfreebsd-image-7-686 kfreebsd-headers-7.2-1-686 kfreebsd-headers-7-686 kfreebsd-image-7.2-1-686-smp kfreebsd-image-7-686-smp kfreebsd-headers-7.2-1-686-smp kfreebsd-headers-7-686-smp
Architecture: source all
Version: 7.2-10
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-7-486 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-686-smp - header files for kernel of FreeBSD 7
 kfreebsd-headers-7-amd64 - header files for kernel of FreeBSD 7
 kfreebsd-headers-7.2-1 - Common architecture-specific header files for kernel of FreeBSD 7
 kfreebsd-headers-7.2-1-486 - header files for kernel of FreeBSD 7.2
 kfreebsd-headers-7.2-1-686 - header files for kernel of FreeBSD 7.2
 kfreebsd-headers-7.2-1-686-smp - header files for kernel of FreeBSD 7.2
 kfreebsd-headers-7.2-1-amd64 - header files for kernel of FreeBSD 7.2
 kfreebsd-image-7-486 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686 - kernel of FreeBSD 7 image
 kfreebsd-image-7-686-smp - kernel of FreeBSD 7 image
 kfreebsd-image-7-amd64 - kernel of FreeBSD 7 image
 kfreebsd-image-7.2-1-486 - kernel of FreeBSD 7.2 image
 kfreebsd-image-7.2-1-686 - kernel of FreeBSD 7.2 image
 kfreebsd-image-7.2-1-686-smp - kernel of FreeBSD 7.2 image
 kfreebsd-image-7.2-1-amd64 - kernel of FreeBSD 7.2 image
 kfreebsd-source-7.2 - source code for kernel of FreeBSD 7.2 with Debian patches
Closes: 550429
Changes: 
 kfreebsd-7 (7.2-10) unstable; urgency=low
 .
   * Add BOOTP kernel options for NFS Root support. Closes: #550429.
   * Fix ZFS ZIL playback with insecure permissions
     (FreeBSD-SA-10:03.zfs).
       - 000_zfs.diff
Checksums-Sha1: 
 1f29262b020c6986a6bb60f5e205b719e5d6b94f 1871 kfreebsd-7_7.2-10.dsc
 ded2fc76ea1593e7fe24a24becfbbb4a86b3d4a9 42509 kfreebsd-7_7.2-10.diff.gz
 259066344ff0774cc4aa2db658d9d2ece0fc3ba9 19471894 kfreebsd-source-7.2_7.2-10_all.deb
Checksums-Sha256: 
 3446f49d89fbf654dc34cd66c71849f3ffdc4cb402bbf0078e54528b11e273a0 1871 kfreebsd-7_7.2-10.dsc
 ea640ea09c18c29b483df315358ed878a846d050b2a7439bc883acf0e7bc1d77 42509 kfreebsd-7_7.2-10.diff.gz
 5abe9e3b2135a50c560a84d25a97ced13179979fe7aa0c3c60665706bd8b2ab0 19471894 kfreebsd-source-7.2_7.2-10_all.deb
Files: 
 b7d64611357a02d243276a41c7c77c6e 1871 kernel optional kfreebsd-7_7.2-10.dsc
 543ab8042b54990be591c7f64fdbe677 42509 kernel optional kfreebsd-7_7.2-10.diff.gz
 c2a69533e135a13faef70a38339fb31e 19471894 kernel optional kfreebsd-source-7.2_7.2-10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLTrF4w3ao2vG823MRAqXJAJ9lBF6SJl97Zd2Dkv+xws01UYYRbQCeOYsC
p8q/l8qpXSyeecLDjfaUgqQ=
=gr8K
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-7. (Fri, 15 Jan 2010 13:09:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 15 Jan 2010 13:09:10 GMT) Full text and rfc822 format available.

Message #25 received at 550429@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 550429@bugs.debian.org
Subject: Re: Re: Bug#550429: add BOOTP kernel options for NFS Root support
Date: Fri, 15 Jan 2010 05:05:25 -0800
On Fri, Nov 13, 2009 at 08:58:23AM +0100, Petr Salinger wrote:
> I just built kfreebsd-8 from current SVN with those options.
> As a result, the kernel tried to get IP address during boot
> via DHCP indefinitely. Luckily kernel.old pointing to kfreebsd-7
> does not contain these options ...
> FWIW, I have the old FreeBSD bootloader, not grub2.

i can confirm this behavior with kfreebsd 7.2-10 using grub2 as well.

hrm. i had made the awful assumption that it would respect the boot arguments
that determine what root device to use like linux does...

> So we need such set of options, which builds DHCP/root NFS
> into kernel, but does not use DHCP/root NFS as a default.

hopefully there's some combination of options that allows for the possibility
of choosing weather to use disked or NFS root at boot.

this should *definitely* be reverted until better options are determined.

live well,
  vagrant




Bug Marked as found in versions 7.2-11 and reopened. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Mon, 15 Feb 2010 12:21:02 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 11:19:20 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 11:19:24 GMT) Full text and rfc822 format available.

Message #32 received at 550429-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 322197-done@bugs.debian.org,353302-done@bugs.debian.org,357021-done@bugs.debian.org,460331-done@bugs.debian.org,477588-done@bugs.debian.org,550429-done@bugs.debian.org,551702-done@bugs.debian.org,559107-done@bugs.debian.org,593699-done@bugs.debian.org,594287-done@bugs.debian.org,601305-done@bugs.debian.org,
Cc: kfreebsd-7@packages.debian.org, kfreebsd-7@packages.qa.debian.org
Subject: Bug#630694: Removed package(s) from unstable
Date: Fri, 17 Jun 2011 11:15:01 +0000
Version: 7.3-7+rm

Dear submitter,

as the package kfreebsd-7 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/630694

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug reassigned from package 'kfreebsd-7' to 'kfreebsd-9'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 7.2-9 and 7.2-11. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:05 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 7.3-7+rm and kfreebsd-7/7.2-10. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-9. (Fri, 17 Jun 2011 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant@freegeek.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Jun 2011 19:09:06 GMT) Full text and rfc822 format available.

Message #43 received at 550429@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant@freegeek.org>
To: 550429@bugs.debian.org
Subject: kfreebsd-7: add BOOTP kernel options for NFS Root support
Date: Fri, 17 Jun 2011 12:06:47 -0700
reopen 550429
reassign 550429 kfreebsd-8
thanks

as far as i know, this is still an outstanding issue for the newer versions of 
kfreebsd.

live well,
  vagrant




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 Jun 2011 19:09:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-9' to 'kfreebsd-8'. Request was from Vagrant Cascadian <vagrant@freegeek.org> to control@bugs.debian.org. (Fri, 17 Jun 2011 19:09:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#550429; Package kfreebsd-8. (Fri, 17 Jun 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 17 Jun 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #52 received at 550429@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Vagrant Cascadian <vagrant@freegeek.org>, 550429@bugs.debian.org
Subject: Re: Bug#550429: kfreebsd-7: add BOOTP kernel options for NFS Root support
Date: Fri, 17 Jun 2011 22:08:35 +0200
2011/6/17 Vagrant Cascadian <vagrant@freegeek.org>:
> reopen 550429
> reassign 550429 kfreebsd-8
> thanks
>
> as far as i know, this is still an outstanding issue for the newer versions of
> kfreebsd.

This problem could be solved by removing all network drivers
from kernel.

If network drivers are only built as modules, then BOOTP and
BOOTP_NFSROOT can be enabled (in my tests with recent
kernels, BOOTP_COMPAT and BOOTP_NFSV3 are not necessary
anymore).

Then disk-based boot proceeds as follows:

1: GRUB loads kernel from disk
2: kernel boots and, having no network drivers, proceeds
    with mounting a disk filesystem as root.
3: kernel starts init, which loads network modules from either:
   a) Hardcoded list in /etc/modutils
   b) Starts devd, which auto-detects hardware and loads appropiate
   modules (the beginning of this is in #630614).

And network-based boot proceeds as follows:

1: GRUB loads kernel via TFTP
2: GRUB loads either:
    a) a specific network module for this computer
    b) all network modules
3: kernel boots via DHCP/NFS

-- 
Robert Millan




Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:18:10 GMT) Full text and rfc822 format available.

Notification sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:18:10 GMT) Full text and rfc822 format available.

Message #57 received at 550429-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 550429-done@bugs.debian.org,570805-done@bugs.debian.org,593733-done@bugs.debian.org,601273-done@bugs.debian.org,602120-done@bugs.debian.org,610252-done@bugs.debian.org,614419-done@bugs.debian.org,631613-done@bugs.debian.org,641167-done@bugs.debian.org,644353-done@bugs.debian.org,644718-done@bugs.debian.org,658617-done@bugs.debian.org,669604-done@bugs.debian.org,687788-done@bugs.debian.org,690986-done@bugs.debian.org,706418-done@bugs.debian.org,720470-done@bugs.debian.org,720476-done@bugs.debian.org,
Cc: kfreebsd-8@packages.debian.org, kfreebsd-8@packages.qa.debian.org
Subject: Bug#721540: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:16:43 +0000
Version: 8.3-7+rm

Dear submitter,

as the package kfreebsd-8 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/721540

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



No longer marked as fixed in versions 8.3-7+rm. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Mon, 02 Sep 2013 23:42:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'kfreebsd-8' to 'kfreebsd-9'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 03 Sep 2013 00:12:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:34:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:03:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.